%define major 2
%define libname %mklibname cares %{major}
%define libdevelname %mklibname cares -d
%define libstaticname %mklibname cares -d -s

Summary:	A library that performs asynchronous DNS operations
Name:		c-ares
Version:	1.7.5
Release:	%mkrel 2
License:	MIT
Group:		System/Libraries
URL:		http://c-ares.haxx.se/
Source0:	http://c-ares.haxx.se/%{name}-%{version}.tar.xz
Patch0:		c-ares-1.7.5-optflags.patch
Patch1:		c-ares-multilib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
c-ares is a C library that performs DNS requests and name resolves 
asynchronously. c-ares is a fork of the library named 'ares', written 
by Greg Hudson at MIT.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%package -n %{libdevelname}
Summary:	Development files for c-ares
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libdevelname}
This package contains the header files and developemnt libraries
needed to compile applications or shared objects that use c-ares.

%package -n %{libstaticname}
Summary:	Static development library for c-ares
Group:		Development/Libraries
Requires:	%{libdevelname} = %{version}-%{release}

%description -n	%{libstaticname}
This package contains the static development library for c-ares
needed to compile applications using c-ares.


%prep
%setup -q
%patch0 -p1 -b .optflags
%patch1 -p1 -b .multilib

# convert to UTF8
iconv -f ISO-8859-1 -t UTF8 CHANGES -o CHANGES.new
mv -f CHANGES.new CHANGES

%build
%configure2_5x	\
	--enable-shared \
	--enable-libgcc \
	--enable-nonblocking

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{libdevelname}
%doc README README.cares CHANGES NEWS
%{_includedir}/ares*.h
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/pkgconfig/libcares.pc
%{_mandir}/man3/ares_*

%files -n %{libstaticname}
%{_libdir}/lib*.a


%changelog
* Sat Sep 06 2014 bb <bb> 1.7.5-2pclos2014
- rebuild against update libs

* Mon Sep 12 2011 Texstar <texstar at gmail.com> 1.7.5-1pclos2011
- 1.7.5

* Sun Mar 27 2011 Texstar <texstar at gmail.com> 1.7.4-1pclos2011
- 1.7.4

